<?php
/*--------------------------------------------
Description: add body font style
---------------------------------------------*/
function frkw_add_body_font_style() {
$bodyfont = get_theme_mod('body_font');
$bodyfontweight = get_theme_mod('body_font_weight');
if( $bodyfont == 'Choose a font' || $bodyfont == '') { ?>
body {font-family: 'Open Sans',arial,sans-serif; font-weight:400;}
<?php } else { ?>
body {font-family:<?php echo $bodyfont; ?>;font-weight:<?php echo $bodyfontweight; ?>;}
<?php
}
}
add_action('frkw_custom_css','frkw_add_body_font_style');


/*--------------------------------------------
Description: add headline font style
---------------------------------------------*/
function frkw_add_headline_font_style() {
$headlinefont = get_theme_mod('headline_font');
$headlinefontweight = get_theme_mod('headline_font_weight');
if( $headlinefont == 'Choose a font' || $headlinefont == '') { ?>
h1,h2,h3,h4,h5,h6,#siteinfo div,.activity-header {font-family:'Open Sans Condensed', sans-serif; font-weight:700;}
<?php } else { ?>
h1,h2,h3,h4,h5,h6,#siteinfo div,.activity-header { font-family: <?php echo $headlinefont; ?>; font-weight: <?php echo $headlinefontweight; ?>; }
<?php
}
}
add_action('frkw_custom_css','frkw_add_headline_font_style');

/*--------------------------------------------
Description: add navigation font style
---------------------------------------------*/
function frkw_add_navigation_font_style() {
$navfont = get_theme_mod('navigation_font');
$navfontweight = get_theme_mod('navigation_font_weight');
if( $navfont == 'Choose a font' || $navfont == '') { ?>
<?php } else { ?>
.sf-menu {font-family: <?php echo $navfont; ?>; font-weight:<?php echo $navfontweight; ?>; }
<?php
}
}
add_action('frkw_custom_css','frkw_add_navigation_font_style');



/*----------------------------------------------------
Description: add theme header text style
----------------------------------------------------*/
function frkw_add_header_textcolor() {
$header_text = get_theme_mod('header_text');
$header_textcolor = get_theme_mod('header_textcolor');
if( $header_textcolor == 'blank' ) { ?>
#custom #siteinfo h1,#custom #siteinfo div, #custom #siteinfo p,#custom .site-title-wrap {display:none;}
<?php } else {
if( $header_textcolor ) { ?>
#custom #siteinfo a {color: #<?php echo $header_textcolor; ?> !important;text-decoration: none;}
#custom #siteinfo p#site-description {color: #<?php echo $header_textcolor; ?> !important;text-decoration: none;}
<?php
}
}
}
add_action('frkw_custom_css','frkw_add_header_textcolor');

/*----------------------------------------------------
Description: add header color css
----------------------------------------------------*/
function frkw_add_header_color() {
$header_color = get_theme_mod('header_color');
if( $header_color ) { ?>
#header {background-color:<?php echo $header_color; ?>;}
<?php }
}
add_action('frkw_custom_css','frkw_add_header_color');

/*----------------------------------------------------
Description: add nav color css
----------------------------------------------------*/
function frkw_add_nav_color() {
$nav_color = get_theme_mod('nav_color');
if( $nav_color ) { ?>
#top-navigation {background-color:<?php echo $nav_color; ?>;}
#top-navigation .sf-menu li.current-menu-item a,#top-navigation .sf-menu li.current-page-item a {background-color:<?php echo dehex($nav_color,-20); ?>;}
.top-nav .sf-menu li:hover > a {background:<?php echo dehex($nav_color,-20); ?> none;}
.top-nav .sf-menu li li a {background:<?php echo dehex($nav_color,-20); ?> none;}
.top-nav .sf-menu li li a:hover {background:<?php echo dehex($nav_color,-30); ?> none;}

#main-navigation {background-color:<?php echo dehex($nav_color,-20); ?>;}
#main-navigation .sf-menu li.current-menu-item a,#main-navigation .sf-menu li.current-page-item a {background-color:<?php echo dehex($nav_color,-20); ?>;}
#main-navigation .sf-menu li:hover > a {background-color:<?php echo dehex($nav_color,-30); ?>;}
#main-navigation .sf-menu li li a {background:<?php echo dehex($nav_color,-30); ?> none;}
#main-navigation .sf-menu li li a:hover {background:<?php echo dehex($nav_color,-40); ?> none;}
#mobile-nav .mobile-open a {background-color: <?php echo $nav_color; ?>;}

<?php }
}
add_action('frkw_custom_css','frkw_add_nav_color');

/*----------------------------------------------------
Description: add link color css
----------------------------------------------------*/
function frkw_add_link_color() {
$link_color = get_theme_mod('link_color');
if( $link_color ) { ?>
.post-paging .page-navigation span.current {color:#fff;background-color:<?php echo $link_color; ?>;border:1px solid <?php echo $link_color; ?>;}
.content a,#custom #right-sidebar .widget a:hover,aside.widget #calendar_wrap a, #custom aside.widget .textwidget a {color:<?php echo $link_color; ?>;}
.content-area article .entry-content a.readmore {background-color:<?php echo $link_color; ?>;}
#right-sidebar aside.widget a:hover {color:<?php echo $link_color; ?>;}
.content-area article h2.entry-title a:hover {color:<?php echo $link_color; ?>;}

.cmn-t-underline:after {background-color: <?php echo $link_color; ?>;}
.cmn-t-underline:hover {color: <?php echo $link_color; ?>;}

<?php }
}
add_action('frkw_custom_css','frkw_add_link_color');


/*----------------------------------------------------
Description: add footer color css
----------------------------------------------------*/
function frkw_add_footer_color() {
$footer_color = get_theme_mod('footer_color');
if( $footer_color ) { ?>
#custom footer.footer-top {background-color:<?php echo $footer_color; ?>;border-top:1px solid <?php echo dehex($footer_color,-20); ?>;}
#custom footer.footer-bottom {background-color:<?php echo dehex($footer_color,-20); ?>;border-top:1px solid <?php echo dehex($footer_color,10); ?>;}

footer aside.widget ul.featured-cat-posts li,footer aside.widget ul.item-list li {  border-bottom: 1px solid <?php echo dehex($footer_color,-10); ?>; }

footer aside.widget caption {background-color: <?php echo dehex($footer_color,-10); ?>;}
footer aside.widget th {border-bottom: 1px solid <?php echo dehex($footer_color,-10); ?>;}

<?php }
}
add_action('frkw_custom_css','frkw_add_footer_color');


/*----------------------------------------------------
Description: let's finalize all it wp_head
----------------------------------------------------*/
function frkw_init_theme_custom_style() {
print '<style id="theme-custom-css" type="text/css" media="all">' . "\n";
do_action( 'frkw_custom_css' );
print '</style>' . "\n";
}
add_action('wp_head','frkw_init_theme_custom_style',99);

?>